Bug 30595 - /etc/sysconfig/network is not sourced at ifdown
/etc/sysconfig/network is not sourced at ifdown
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-04 19:44 EST by Pekka Savola
Modified: 2014-03-16 22:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-04 19:44:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-03-04 19:44:37 EST
/sbin/ifdown does not source /etc/sysconfig/network.

Traditionally this isn't really necessary for devices for which you just ifconfig it down,
but IPv6 can use a little more sophisticated approach.  However, this will not be done
for 'eth' devices because:

if [ "${NETWORKING_IPV6}" = "yes" ]; then
    /etc/sysconfig/network-scripts/ifdown-ipv6 $DEVICE
fi

and NETWORKING_IPV6 is not known in this context.


I suggest that /etc/sysconfig/network be sourced either 
 1) beginning of the file (this might _perhaps_ break some really
controversial OTHERSCRIPT's if they use GATEWAY 
 2) after OTHERSCRIPT is exec'ed
Comment 1 Bill Nottingham 2001-03-05 01:32:37 EST
Will be fixed in 5.70-1 (after OTHERSCRIPT, FWIW.)

Note You need to log in before you can comment on or make changes to this bug.